#ifndef BROMSCRIPT_LIBARY_CONSOLE_INCLUDED
#define BROMSCRIPT_LIBARY_CONSOLE_INCLUDED

#include "SIF.h"
#include <windows.h>
#include <iosfwd>

namespace BromScript{
	namespace Libaries{
		namespace Console{
			enum Colors{
				ColorBlack = 0,
				ColorDarkBlue = 1,
				ColorDarkGreen = 2,
				ColorDarkCyan = 3,
				ColorDarkRed = 4,
				ColorDarkMagenta = 5,
				ColorDarkYellow = 6,
				ColorDarkWhite = 7,
				ColorGray = 8,
				ColorBlue = 9,
				ColorGreen = 10,
				ColorCyan = 11,
				ColorRed = 12,
				ColorMagenta = 13,
				ColorYellow = 14,
				ColorWhite = 15
			};

			static HANDLE std_con_out;
			static Colors textcol, backcol, deftextcol, defbackcol;
			static bool didinit = false;

			BS_FUNCTION(SetForeColor);
			BS_FUNCTION(SetBackColor);
		}
	}
}

#endif