#ifndef BROMSCRIPT_EXECUTEDATA_INCLUDED
#define BROMSCRIPT_EXECUTEDATA_INCLUDED

#include "SIF.h"

#include "Instance.h"
#include "ByteReader.h"
#include "Variable.h"
#include "Function.h"

namespace BromScript {
	class ExecuteData{
	public:
		static int GetCount();

		ExecuteData(void);
		~ExecuteData(void);

		Instance* BromScript;
		ByteReader* Reader;

		bool Breaking;
		bool Continueing;
		bool FuncCallback;
		Function* Function;

		bool HasReturnValue;
		Variable* Returning;
	};
}

#endif