#ifndef BROMSCRIPT_LIST_INCLUDED
#define BROMSCRIPT_LIST_INCLUDED

#ifndef null
#define null 0
#endif

namespace BromScript{
	template<class Type>
	class List
	{
	public:
		List(const List<Type>& copy);
		List(void);
		~List(void);

		int Count;
		
		void Clear();
		void Insert(int index, Type object);
		void Set(int index, Type object);
		void Add(Type object);
		Type RemoveAt(int index);
		Type Get(int index);
		Type operator[](int index);

	private:
		Type** Buffer;
		int BufferSize;
		
		void AllocateMoreSpace();
		void AllocateMoreSpace(int num);
	};
}

#include "List.cpp"

#endif