#ifndef BROMSCRIPT_BR_INCLUDED
#define BROMSCRIPT_BR_INCLUDED

#include "SIF.h"
#include "Function.h"

namespace BromScript {
	class ByteReader
	{
	public:
		static int GetCount();

		ByteReader(void);
		~ByteReader(void);

		byte ReadByte();
		byte* ReadBytes(int len);
		int ReadInt();
		float ReadFloat();
		double ReadDouble();
		bool ReadBool();
		Scratch::CString ReadString();
		List<Scratch::CString>* ReadStrings();

		int Pos;
		Function* Func;
	};
}

#endif