#ifndef BROMSCRIPT_GARBAGECOLLECTION_INCLUDED
#define BROMSCRIPT_GARBAGECOLLECTION_INCLUDED

#include "SIF.h"
#include "Variable.h"

namespace BromScript{
	class GarbageCollector
	{
	public:
		GarbageCollector(void);
		~GarbageCollector(void);

		int Run();

		static BS_FUNCTION(RunWrapper);

		Variable* RegisterVariable();
		void RegisterVariable(Variable* var);
	private:
		Variable** Buffer;
		int BufferSize;

		void AllocateMoreSpace();
	};
}
#endif