#ifndef BROMSCRIPT_MISC_INCLUDED
#define BROMSCRIPT_MISC_INCLUDED

#include "SIF.h"

namespace BromScript {
	class Misc{
	public:
		enum ExecFuncs {
			End = 0, SetVar, GetVar, ExecuteFunction, If, MergeStart, MergeEnd, String, Number, Table,
			Return = 14, LSetVar,
			ElseIf = 24, Else, While, Bool, GetTblIndex, SetTblIndex,
			Break = 30,
			Function = 33, ForEach,
			Class = 36, New, CSNew, For,
			Continue = 150,
			Skip = 255
		};

		enum ArithmaticFuncs {
			Add = 10, Substract, Divide, Multiply, And = 16, Or, GreaterThan, LessThan, GreaterOrEqual, LessOrEqual, Equal, NotEqual,
			Modulo = 35 // was added later, so it's a diffrent number. we can change this later to make sense, for now we have to read C# data.
		};
	};
}

#endif