#ifndef BROMSCRIPT_USERDATA_INCLUDED
#define BROMSCRIPT_USERDATA_INCLUDED

#include "SIF.h"
#include "MemberData.h"

namespace BromScript{
	class Userdata{
	public:
		Userdata();
		~Userdata();
		
		int Offset;
		int TypeSize;
		int TypeID;
		void* TypeData;
		bool CallDTor;

		Scratch::CString Name;
		Instance* BromScript;

		List<Userdata*> Members;
		CDictionary<Scratch::CString, BSFunction> Functions;
		
		BSFunctionCtor Ctor;
		BSFunctionDtor Dtor;
		
		void RegisterMember(Scratch::CString name, int offset, int type);
		void RegisterFunction(Scratch::CString name, BSFunction function);

		Userdata* Copy();
	};
}
#endif